local modpath = minetest.get_modpath("sticks_and_torches")
dofile(modpath .. "/torch.lua")

local S = minetest.get_translator("sticks_and_torches")

minetest.register_craftitem("sticks_and_torches:stick",
{
	description = S("Stick"),
	groups = {stick = 1},
	inventory_image = "sticks_and_torches_stick.png",
	stack_max = 128,
})


minetest.register_alias("stick", "sticks_and_torches:stick")
minetest.register_craft(
{
	type = "cooking",
	output = minetest.registered_aliases["torch"],
	recipe = minetest.registered_aliases["stick"],
	cooktime = "2",
})
give_initial_stuff.add("torch 32")
